#! /bin/sh

. ./VAR

TOP=`pwd`

/bin/rm -rf ${1}

while true
do
	# make dir, cd in
	/bin/mkdir ${1}
	cd ${1}

	# $TOP/${1}/

	t=`date "+%s"`

	for k in $(seq 1 ${L_COUNT})
	do
		# make new dir & cd into it 
		/bin/mkdir z${k}.${t}
		cd z${k}.${t}
		# ${TOP}/${1}/z${k}.${t}

		# make a bunch of subdirs, make a file, make 3 hardlinks to it
		# then remove the dir
		for m in $(seq 1 ${L_COUNT2})
		do
			/bin/mkdir zz${m}
			cd zz${m}
			# $TOP/${1}/z${k}.${t}/zz${m}/
			/bin/touch zzzz
			/bin/ln zzzz zzzz.001 &
			/bin/ln zzzz zzzz.002 &
			/bin/ln zzzz zzzz.003 &
			cd ..
			# $TOP/${1}/z${k}.${t}
			/bin/rm -rf zz${m} &
		done

		# now remove the dirs we made
		cd ..
		# ${TOP}/${1}
		/bin/rm -rf z${k}.${t} &
	done

	wait

	/bin/sleep ${L_SLEEP}
	# remove 10 of the files remaining from above....
	/bin/ls | /usr/bin/xargs -l10 /bin/rm -rf

	cd ${TOP}
	# ${TOP}/

	/bin/sleep ${L_SLEEP}
	# remove all files from above
	/bin/rmdir ${1}

	/bin/sleep ${L_SLEEP}
done

